Draft WireToBSpline/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
== Draft: Convertire tra DWire e BSpline ==


==Description==
{{GuiCommand/it|Name=Draft_WireToBSpline|Name/it=Wire in Spline|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft Wire in Spline}}


Questo strumento converte i segmenti di una linea spezzata, quì definita [[Draft Wire/it|DWire]], in curve di tipo [[Draft BSpline/it|BSpline]], e viceversa.
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]


=== Utilizzo ===
==How to use==


# Selezionare una linea [[Draft Wire/it|Wire]] o una [[Draft BSpline/it|BSpline]]
# Select a [[Draft Wire|wire]] or a [[Draft BSpline|BSpline]]
# Premere il pulsante {{KEY/it|[[Image:Draft WireToBSpline.png|16px]] Da Wire a BSpline}}
# Press the {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}} button


=== Opzioni ===
==Options==


* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
* L'oggetto originale non viene eliminato dopo l'operazione, è necessario eliminarlo manualmente, se lo si desidera.


Not available, but creating a new object with the points from another one is easy, for example:
=== Script ===


* If the active object is a wire:
Non è disponibile, ma è facile creare un nuovo oggetto usando i punti di un altro oggetto, per esempio:


<syntaxhighlight>
* se l'oggetto attivo è una linea wire
import FreeCAD,Draft
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
Draft.makeBSpline(points)
</syntaxhighlight>


* se l'oggetto attivo è una linea bspline
* if the active object is a bspline

<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
Draft.makeWire(points)
</syntaxhighlight>


<languages/>
{{languages/it | {{en|Draft_WireToBSpline}} {{es|Draft_WireToBSpline/es}} {{fr|Draft_WireToBSpline/fr}} }}

Revision as of 15:51, 14 February 2014

Draft_WireToBSpline

Menu location
Drafting -> Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)